buggNewSense GNU/Linux - Bugs: bug #29378, rename/restructure security repo

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #29378: rename/restructure security repo

Submitted by:  Karl Goetz <kgoetz>
Submitted on:  Tue 30 Mar 2010 10:34:15 AM UTC  
 
Category: gNewSense 3Severity: 4 - Important
Item Group: All architecturesStatus: Fixed
Privacy: PublicAssigned to: Karl Goetz <kgoetz>
Open/Closed: Closed

Mon 03 May 2010 10:17:16 AM UTC, comment #5:

Done. We have some key related issues, but they can be for another day.

Karl Goetz <kgoetz>In charge of this item.
Sat 24 Apr 2010 05:26:17 AM UTC, comment #4:

70 fixes some symlinks that might have been holding up several runs. we'll find out in 6 hours

Karl Goetz <kgoetz>In charge of this item.
Sat 03 Apr 2010 10:40:08 AM UTC, comment #3:

bzr 66 is try 2. less attempts to be overly clever, more attempts to get it working.

Karl Goetz <kgoetz>In charge of this item.
Thu 01 Apr 2010 10:54:29 AM UTC, comment #2:

bzr 64. won't know if i got it right until the next archive update.

Karl Goetz <kgoetz>In charge of this item.
Wed 31 Mar 2010 10:23:14 AM UTC, comment #1:

this is trivial to do:

archive:/data/pub/gnewsense-metad/gnewsense-security/dists/metad# mv main/ updates/main
archive:/data/pub/gnewsense-metad/gnewsense-security/dists/metad# ln -s /data/pub/gnewsense-metad/gnewsense-security/dists/metad/updates/main/ $PWD/main
archive:/data/pub/gnewsense-metad/gnewsense-security/dists/metad# ls
total 24K
lrwxrwxrwx 1 root root 70 2010-03-31 10:18 main -> /data/pub/gnewsense-metad/gnewsense-security/dists/metad/updates/main/
-rw-r--r-- 1 rmh rmh 12K 2010-03-31 09:36 Release
-rw-r--r-- 1 rmh rmh 197 2010-03-31 09:36 Release.gpg
drwxr-xr-x 3 root root 4.0K 2010-03-31 10:18 updates

just needs to be added to metad script.

Karl Goetz <kgoetz>In charge of this item.
Tue 30 Mar 2010 10:34:15 AM UTC, original submission:

Our security repo either needs to be renamed (eg, gns-security), or in a new directory structure (eg, updates/security) before python-apt will work with it correctly. This bug blocks the previously filed python-apt bug.

Karl Goetz <kgoetz>In charge of this item.

 

No files currently attached

 

Depends on the following items: None found

Digest:
   bug dependencies.

 

CC list is empty

 

Please enter the title of George Orwell's famous dystopian book (it's a date):

 

 

Follow 6 latest changes.

Date Changed By Updated Field Previous Value => Replaced By
Mon 03 May 2010 10:17:16 AM UTCkgoetzStatusReady For Test=>Fixed
  Open/ClosedOpen=>Closed
Thu 01 Apr 2010 10:54:29 AM UTCkgoetzStatusConfirmed=>Ready For Test
Wed 31 Mar 2010 10:23:14 AM UTCkgoetzStatusNone=>Confirmed
  Assigned toNone=>kgoetz
Tue 30 Mar 2010 10:35:17 AM UTCkgoetzDependencies-=>bugs #29377 is dependent

Back to the top


Powered by Savane 3.1-cleanup1